## Process this file with automake to produce Makefile.in

##   This file is part of the UVES Pipeline
##   Copyright (C) 2002,2003 European Southern Observatory

##   This library is free software; you can redistribute it and/or modify
##   it under the terms of the GNU General Public License as published by
##   the Free Software Foundation; either version 2 of the License, or
##   (at your option) any later version.

##   This program is distributed in the hope that it will be useful,
##   but WITHOUT ANY WARRANTY; without even the implied warranty of
##   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##   GNU General Public License for more details.

##   You should have received a copy of the GNU General Public License
##   along with this program; if not, write to the Free Software
##   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

AUTOMAKE_OPTIONS = 1.8 foreign

DISTCLEANFILES = *~

SUBDIRS = tests

if MAINTAINER_MODE

MAINTAINERCLEANFILES = Makefile.in

endif

AM_CPPFLAGS = $(all_includes)

pkginclude_HEADERS =

noinst_HEADERS     = 

plugin_LTLIBRARIES = \
	uves_cal_mbias.la \
	uves_cal_mdark.la \
	uves_cal_predict.la \
	uves_cal_orderpos.la \
	uves_cal_mflat.la \
	uves_cal_wavecal.la \
	uves_cal_response.la \
	uves_obs_scired.la \
	uves_obs_redchain.la \
	uves_cal_tflat.la \
	uves_cal_cd_align.la \
	uves_cal_mkmaster.la \
	flames_cal_predict.la \
	flames_cal_orderpos.la \
	flames_cal_wavecal.la \
	flames_cal_mkmaster.la \
	flames_obs_scired.la \
	flames_cal_prep_sff_ofpos.la \
	flames_obs_redchain.la \
	flames_utl_unpack.la \
	uves_utl_ima_arith.la \
	uves_utl_remove_crh_single.la \
	uves_cal_mflat_combine.la 


#	uves_utl_physmod.la \
#	uves_utl_rcosmic.la \
#                     flames_prepslitff.la 
#                     flames_extract.la \
#                     flames_fillordtab.la \
#                     flames_mes_slitff_size.la \
#                     flames_prepbkg.la \
#                     flames_prepfibreff.la \
#                     flames_prepnorm.la



uves_cal_orderpos_la_SOURCES = uves_orderpos.c
uves_cal_orderpos_la_LIBADD = $(LIBUVES)
uves_cal_orderpos_la_LDFLAGS = -module -avoid-version
uves_cal_orderpos_la_DEPENDENCIES = $(LIBUVES)

uves_cal_mbias_la_SOURCES = uves_mbias.c
uves_cal_mbias_la_LIBADD = $(LIBUVES)
uves_cal_mbias_la_LDFLAGS = -module -avoid-version
uves_cal_mbias_la_DEPENDENCIES = $(LIBUVES)


uves_cal_mdark_la_SOURCES = uves_mdark.c
uves_cal_mdark_la_LIBADD = $(LIBUVES)
uves_cal_mdark_la_LDFLAGS = -module -avoid-version
uves_cal_mdark_la_DEPENDENCIES = $(LIBUVES)

uves_cal_mflat_la_SOURCES = uves_mflat.c
uves_cal_mflat_la_LIBADD = $(LIBUVES)
uves_cal_mflat_la_LDFLAGS = -module -avoid-version
uves_cal_mflat_la_DEPENDENCIES = $(LIBUVES)

uves_cal_mflat_combine_la_SOURCES = uves_mflat_combine.c
uves_cal_mflat_combine_la_LIBADD = $(LIBUVES)
uves_cal_mflat_combine_la_LDFLAGS = -module -avoid-version
uves_cal_mflat_combine_la_DEPENDENCIES = $(LIBUVES)

uves_cal_mkmaster_la_SOURCES = uves_cal_mkmaster.c
uves_cal_mkmaster_la_LIBADD = $(LIBUVES)
uves_cal_mkmaster_la_LDFLAGS = -module -avoid-version
uves_cal_mkmaster_la_DEPENDENCIES = $(LIBUVES)

uves_cal_wavecal_la_SOURCES = uves_wavecal.c
uves_cal_wavecal_la_LIBADD = $(LIBUVES)
uves_cal_wavecal_la_LDFLAGS = -module -avoid-version
uves_cal_wavecal_la_DEPENDENCIES = $(LIBUVES)

uves_obs_scired_la_SOURCES = uves_scired.c
uves_obs_scired_la_LIBADD = $(LIBUVES)
uves_obs_scired_la_LDFLAGS = -module -avoid-version
uves_obs_scired_la_DEPENDENCIES = $(LIBUVES)

uves_cal_tflat_la_SOURCES = uves_tflat.c
uves_cal_tflat_la_LIBADD = $(LIBUVES)
uves_cal_tflat_la_LDFLAGS = -module -avoid-version
uves_cal_tflat_la_DEPENDENCIES = $(LIBUVES)

uves_cal_cd_align_la_SOURCES = uves_cal_cd_align.c
uves_cal_cd_align_la_LIBADD = $(LIBUVES)
uves_cal_cd_align_la_LDFLAGS = -module -avoid-version
uves_cal_cd_align_la_DEPENDENCIES = $(LIBUVES)

uves_cal_response_la_SOURCES = uves_response.c
uves_cal_response_la_LIBADD = $(LIBUVES)
uves_cal_response_la_LDFLAGS = -module -avoid-version
uves_cal_response_la_DEPENDENCIES = $(LIBUVES)

uves_cal_predict_la_SOURCES = uves_physmod.c
uves_cal_predict_la_LIBADD = $(LIBUVES)
uves_cal_predict_la_LDFLAGS = -module -avoid-version
uves_cal_predict_la_DEPENDENCIES = $(LIBUVES)

uves_obs_redchain_la_SOURCES = uves_redchain.c
uves_obs_redchain_la_LIBADD = $(LIBUVES)
uves_obs_redchain_la_LDFLAGS = -module -avoid-version
uves_obs_redchain_la_DEPENDENCIES = $(LIBUVES) 

flames_cal_predict_la_SOURCES = flames_cal_predict.c
flames_cal_predict_la_LIBADD = $(LIBFLAMES)
flames_cal_predict_la_LDFLAGS = -module -avoid-version
flames_cal_predict_la_DEPENDENCIES = $(LIBFLAMES) 

flames_cal_orderpos_la_SOURCES = flames_cal_orderpos.c
flames_cal_orderpos_la_LIBADD = $(LIBFLAMES)
flames_cal_orderpos_la_LDFLAGS = -module -avoid-version
flames_cal_orderpos_la_DEPENDENCIES = $(LIBFLAMES) 

flames_cal_wavecal_la_SOURCES = flames_cal_wavecal.c
flames_cal_wavecal_la_LIBADD = $(LIBFLAMES)
flames_cal_wavecal_la_LDFLAGS = -module -avoid-version
flames_cal_wavecal_la_DEPENDENCIES = $(LIBFLAMES) 

flames_cal_prep_sff_ofpos_la_SOURCES = flames_cal_prep_sff_ofpos.c
flames_cal_prep_sff_ofpos_la_LIBADD = $(LIBFLAMES)
flames_cal_prep_sff_ofpos_la_LDFLAGS = -module -avoid-version
flames_cal_prep_sff_ofpos_la_DEPENDENCIES = $(LIBFLAMES) 

flames_cal_mkmaster_la_SOURCES = flames_cal_mkmaster.c
flames_cal_mkmaster_la_LIBADD = $(LIBFLAMES)
flames_cal_mkmaster_la_LDFLAGS = -module -avoid-version
flames_cal_mkmaster_la_DEPENDENCIES = $(LIBFLAMES)

flames_obs_scired_la_SOURCES = flames_obs_scired.c
flames_obs_scired_la_LIBADD = $(LIBFLAMES)
flames_obs_scired_la_LDFLAGS = -module -avoid-version
flames_obs_scired_la_DEPENDENCIES = $(LIBFLAMES) 

flames_obs_redchain_la_SOURCES = flames_obs_redchain.c
flames_obs_redchain_la_LIBADD = $(LIBFLAMES)
flames_obs_redchain_la_LDFLAGS = -module -avoid-version
flames_obs_redchain_la_DEPENDENCIES = $(LIBFLAMES) 

flames_utl_unpack_la_SOURCES = flames_utl_unpack.c
flames_utl_unpack_la_LIBADD = $(LIBFLAMES)
flames_utl_unpack_la_LDFLAGS = -module -avoid-version
flames_utl_unpack_la_DEPENDENCIES = $(LIBFLAMES) 

uves_utl_remove_crh_single_la_SOURCES = uves_utl_remove_crh_single.c
uves_utl_remove_crh_single_la_LIBADD = $(LIBUVES)
uves_utl_remove_crh_single_la_LDFLAGS = -module -avoid-version
uves_utl_remove_crh_single_la_DEPENDENCIES = $(LIBUVES)


#uves_utl_rcosmic_la_SOURCES = uves_utl_rcosmic.c
#uves_utl_rcosmic_la_LIBADD = $(LIBFLAMES)
#uves_utl_rcosmic_la_LDFLAGS = -module -avoid-version
#uves_utl_rcosmic_la_DEPENDENCIES = $(LIBFLAMES) 

#uves_utl_physmod_la_SOURCES = uves_utl_physmod.c
#uves_utl_physmod_la_LIBADD = $(LIBFLAMES)
#uves_utl_physmod_la_LDFLAGS = -module -avoid-version
#uves_utl_physmod_la_DEPENDENCIES = $(LIBFLAMES) 

uves_utl_ima_arith_la_SOURCES = uves_utl_ima_arith.c
uves_utl_ima_arith_la_LIBADD = $(LIBUVES)
uves_utl_ima_arith_la_LDFLAGS = -module -avoid-version
uves_utl_ima_arith_la_DEPENDENCIES = $(LIBUVES)

#uves_utl_dflat_la_SOURCES = uves_utl_dflat.c
#uves_utl_dflat_la_LIBADD = $(LIBFLAMES)
#uves_utl_dflat_la_LDFLAGS = -module -avoid-version
#uves_utl_dflat_la_DEPENDENCIES = $(LIBFLAMES) 


#flames_extract_la_SOURCES = flames_extract.c
#flames_extract_la_LIBADD = $(LIBFLAMES)
#flames_extract_la_LDFLAGS = -module -avoid-version
#flames_extract_la_DEPENDENCIES = $(LIBFLAMES) 

#flames_fillordtab_la_SOURCES = flames_fillordtab.c
#flames_fillordtab_la_LIBADD = $(LIBFLAMES)
#flames_fillordtab_la_LDFLAGS = -module -avoid-version
#flames_fillordtab_la_DEPENDENCIES = $(LIBFLAMES) 

#flames_mes_slitff_size_la_SOURCES = flames_mes_slitff_size.c
#flames_mes_slitff_size_la_LIBADD = $(LIBFLAMES)
#flames_mes_slitff_size_la_LDFLAGS = -module -avoid-version
#flames_mes_slitff_size_la_DEPENDENCIES = $(LIBFLAMES) 

#flames_prepbkg_la_SOURCES = flames_prepbkg.c
#flames_prepbkg_la_LIBADD = $(LIBFLAMES)
#flames_prepbkg_la_LDFLAGS = -module -avoid-version
#flames_prepbkg_la_DEPENDENCIES = $(LIBFLAMES) 

#flames_prepfibreff_la_SOURCES = flames_prepfibreff.c
#flames_prepfibreff_la_LIBADD = $(LIBFLAMES)
#flames_prepfibreff_la_LDFLAGS = -module -avoid-version
#flames_prepfibreff_la_DEPENDENCIES = $(LIBFLAMES) 

#flames_prepnorm_la_SOURCES = flames_prepnorm.c
#flames_prepnorm_la_LIBADD = $(LIBFLAMES)
#flames_prepnorm_la_LDFLAGS = -module -avoid-version
#flames_prepnorm_la_DEPENDENCIES = $(LIBFLAMES) 

#flames_prepslitff_la_SOURCES = flames_prepslitff.c
#flames_prepslitff_la_LIBADD = $(LIBFLAMES)
#flames_prepslitff_la_LDFLAGS = -module -avoid-version
#flames_prepslitff_la_DEPENDENCIES = $(LIBFLAMES) 

